Welcome to Help

Dial-Up Monitor

Dial-Up Monitor Logo Welcome to Dial-Up Monitor

Dial-Up Monitor is a professional Internet Dialer. Its job is to assist you in your task of connecting to the Internet.

It was designed to be user friendly and intuitive, and with the extra help from this documentation, you will get the best of what this program can offer you.

On the right side you will find links to some of the most important aspects of using Dial-Up Monitor. Just click on an area of interest. And for a better idea of what the program can accomplish, take a look at the features list.

Dial-Up Monitor is shareware, which means that you can use it freely 30 times to evaluate it. If during, or at the end of, the evaluation period you decide that you would like to continue using Dial-Up Monitor, please register your copy.

For latest information about the program, visit http://www.dialmonitor.ro.
Overview
What is Dial-Up Monitor?
Main Features
Quick Start
Getting started with Dial-Up Monitor in a minute.
Using Connections
Customize program features for improved functionality.
Statistics
Get an accurate view over your past Internet connections.
Interface Options
Make Dial-Up Monitor look and behave exactly the way you want it.
Get Your E-mail
Receive notifications from multiple POP accounts.
Restrict Accounts
Set limits and activity time intervals for your providers.
Copyright © 1999-2002 Radu Stanciu. All Rights Reserved.


How to order Dial-Up Monitor

How to order Dial-Up Monitor

If you are using the evaluation version of Dial-Up Monitor, you must purchase a license to continue using it beyond the 30-times evaluation period.

You can order Dial-Up Monitor from the official web site at http://www.dialmonitor.ro/register.html. Please visit this page for latest pricing information.

The benefist of registering are:

  • priority online technical support
  • free upgrades to all future Dial-Up Monitor versions
  • e-mail notification on new releases and bug fixes

For more information about legally using Dial-Up Monitor see the program's license agreement.
Overview
What is Dial-Up Monitor?
Main Features
Quick Start
Getting started with Dial-Up Monitor in a minute.
Using Connections
Customize program features for improved functionality.
Statistics
Get an accurate view over your past Internet connections.
Interface Options
Make Dial-Up Monitor look and behave exactly the way you want it.


About Dial-Up Monitor

About Dial-Up Monitor

Dial-Up Monitor is a powerful and easy to use Internet dialer. Its main use is to connect you to the Internet as simply and efficiently as possible.

The program brings you a number of benefits that will make your Internet connecting experience a pleasure, instead of a daily unpleasant task.

These include:

  • the connecting process takes less time because of the program's automated tasks that will choose the best way of connecting at a certain moment
  • due to its redial and reconnect options, you can push a button and just leave your computer, knowing that Dial-Up Monitor will handle everything without any user intervention
  • you can easily restrict the Internet access to your kids or employees with powerful rules that handle every aspect of a connection: duration, interval of usage and traffic count
  • at any moment you can see your past Internet connection and gather useful statistic information about your Internet activity
  • your dial-up account passwords are better protected from trojans or other such viruses since they are encrypted and also, not stored in the Windows passwords lists (a potential target for hackers)
  • with periodic traffic checks, the program makes sure you will not be disconnected by your provider and that your connecton is not becoming idle
  • you don't have to lauch all your Internet application over and over again each time your connect, since the program can automatically do this for you, even close them after you get disconnected so they don't waste important space on your workspace
  • your e-mail accounts can be checked on a regular basis so that you don't have to use additional programs and you will also be notified if important messages arrive

These are just a part of the benefits Dial-Up Monitor can offer you. There are many more useful things inside the program that can make your life a whole lot easier.
Overview
What is Dial-Up Monitor?
Main Features
Quick Start
Getting started with Dial-Up Monitor in a minute.
Using Connections
Customize program features for improved functionality.
Statistics
Get an accurate view over your past Internet connections.
Interface Options
Make Dial-Up Monitor look and behave exactly the way you want it.


License Agreement

License Agreement

Dial-Up Monitor Copyright © 1999-2002 Radu Stanciu. All Rights Reserved.

This is a legal agreement between you, the licensee, and Radu Stanciu. By using this program, you are agreeing to become bound by the terms of this agreement. If you do not agree to the terms of this agreement, then do not use, copy, transmit, distribute, or install Dial-Up Monitor.

Evaluation and Registration

Dial-Up Monitor is shareware, which means that you can use it freely 30 times to evaluate it. If during, or at the end of, the evaluation period you decide that you would like to continue using Dial-Up Monitor, please register your copy.

Your registration will license you to use your copy of Dial-Up Monitor, will support work on future versions, new features, and bug fixes, and will provide you with technical support via e-mail.

Distribution

You may copy the evaluation version of this software and documentation and give exact copies of the original evaluation version to anyone. You are specifically prohibited from charging, or requesting donations, for any copies, however made, and from distributing such copies with other products of any kind, commercial or otherwise, without prior written permission from Radu Stanciu.

Restrictions

You may not lease, rent or sub-license Dial-Up Monitor. Also, you may not reverse engineer, decompile, or disassemble Dial-Up Monitor.

If you would like to distribute Dial-Up Monitor as part of a shareware distribution, magazine, Internet book, CD ROM, etc. contact Radu Stanciu for written permission.

Registered Version

One registered copy of Dial-Up Monitor may either be used by a single person who uses the software personally on one or more computers, or installed on a single workstation used non-simultaneously by multiple people, but not both. You may access the registered version of Dial-Up Monitor through a network, provided that you have obtained individual licenses for the software covering all workstations that will access the software through the network, or that you purchase a company license.

License types:

  • Single License - can be used on only one computer
  • Company License - can be used on all the computers of a company or local network
  • Worldwide License - can be used on all computers of a company or network that extends over a large area (regional offices, etc.)

No Warranty

Dial-Up Monitor is provided as is without warranty of any kind, either express or implied, including but not limited to the implied warranties of merchantability and fitness for a particular purpose. In no event shall Radu Stanciu be liable for any damages whatsoever including direct, indirect, incidental, consequential, loss of business profits or special damages, even if Radu Stanciu has been advised of the possibility of such damages.

Thank you for using Dial-Up Monitor
Overview
What is Dial-Up Monitor?
Main Features
Quick Start
Getting started with Dial-Up Monitor in a minute.
Using Connections
Customize program features for improved functionality.
Statistics
Get an accurate view over your past Internet connections.
Interface Options
Make Dial-Up Monitor look and behave exactly the way you want it.


System Requirements

System Requirements

Software Requirements

  • Dial-Up Monitor will run under Windows 95, Windows 98, Windows Millenium, Windows 2000 and Windows XP. The program will not run under Windows NT 4.0.
  • Session statistics and transfer rate statistics require the Dial-Up Networking 1.3 Upgrade (pre-installed on Win98 and newer systems).
  • For socket-oriented features (like POP mail checking or time syncronization), the Winsock 2 interface is required (pre-installed on Win95 OSR2 and newer systems).

Hardware Requirements

  • 3.0 MB of free disk space on the destination drive.
  • A monitor and video card with the minimal 800x600 reolution.
  • A mouse or equivalent pointing device.
Overview
What is Dial-Up Monitor?
Main Features
Quick Start
Getting started with Dial-Up Monitor in a minute.
Using Connections
Customize program features for improved functionality.
Statistics
Get an accurate view over your past Internet connections.
Interface Options
Make Dial-Up Monitor look and behave exactly the way you want it.


Contact Information

Contact Information

If you want to get the latest information about Dial-Up Monitor, please visit the Dial-Up Monitor Web Page on the Internet. You can also download the latest version of the program here.

The address is http://www.dialmonitor.ro.

Please send any bug report, suggestion, question and comment to the author at the following address: support@dialmonitor.ro.
Overview
What is Dial-Up Monitor?
Main Features
Quick Start
Getting started with Dial-Up Monitor in a minute.
Using Connections
Customize program features for improved functionality.
Statistics
Get an accurate view over your past Internet connections.
Interface Options
Make Dial-Up Monitor look and behave exactly the way you want it.


Quick Start Guide

Quick Start Guide

This guide will allow you to start using Dial-Up Monitor as soon as you install it, and provides a first look at using some program features. For additional information, see the detailed help file.

The first step in using Dial-Up Monitor is to start it. By only doing this simple thing, you are sure you will get all your time and traffic statistics recorded without any other action from you.

If you want to take advantage of the improved dialing capabilities of the program, first enter your phone numbers in the connection's list (from the Connection -> Alternate phone numbers menu). By default, the number imported from the Windows Dial-Up Networking settings will be used. Then press the Connect button. The passwords window will pop up. Enter the username and password for your account and you are all set.

When you want to disconnect, simply press the Disconnect button on the main window.
Overview
What is Dial-Up Monitor?
Main Features
Quick Start
Getting started with Dial-Up Monitor in a minute.
Using Connections
Customize program features for improved functionality.
Statistics
Get an accurate view over your past Internet connections.
Interface Options
Make Dial-Up Monitor look and behave exactly the way you want it.


Connecting and Disconnecting

Connecting and Disconnecting

There are two major ways of connecting to the Internet in Dial-Up Monitor from the user's point of view. You can either establish the connection manually or let the program handle everything for you.

When you want to make the connection yourself, you can easily use the buttons present in the main window, near the connections list. There are a few important things here to be known:

  • if you right click the Connect button you will see a list of all the phone numbers used for the selected connection. Just click one of them in that list to dial to that number.
  • be careful with the Exit button. If connected and the label on it has the red color, it means that pressing it will disconnect and exit the program.

The functions provided by the buttons on the main window are also available from the program's tray icon menu.

If you however with to program the application to automatically connect to the Inernet, Dial-Up Monitor offers you features specifically designed for such things. This way, you can set timed connections and disconnections which will be triggered after a specified amount of time passes. However, they still require the user to set them each time. Instead, you can use the schedule, setting exact times (relative to the 24-hour clock) of connect or disconnect actions.
Overview
What is Dial-Up Monitor?
Main Features
Quick Start
Getting started with Dial-Up Monitor in a minute.
Using Connections
Customize program features for improved functionality.
Statistics
Get an accurate view over your past Internet connections.
Interface Options
Make Dial-Up Monitor look and behave exactly the way you want it.


Using the Main Window

Using the Main Window

The main window of Dial-Up Monitor consists in a number of panels that can be activated or deactivated, as to the user needs. Each one of this panel contains useful information about a certain part of the program's activity or statistics.

For example, there is a Traffic Panel which will display the amount of transfered bytes by your modem, as well as other information regarding Internet traffic (the transfer rate, etc.).

The message log (present in the Log Panel) contains useful information about everything that is going on with your connection. Any errors or other kind of messages that require your attention will be reported there.

To activate or deactivate these panels, go to the View menu and check/uncheck the panel you wish to see/hide.

The main window can be customized to respond exactly to your need from the Main window settings dialog.

As an important part of the interface, the Time Statistics Panel allows you to have two different views over your connection times. In the View -> Time counters menu you have two choices. You can either show the times for all your providers (cumulated values), or the specific times for each of your provider.
Overview
What is Dial-Up Monitor?
Main Features
Quick Start
Getting started with Dial-Up Monitor in a minute.
Using Connections
Customize program features for improved functionality.
Statistics
Get an accurate view over your past Internet connections.
Interface Options
Make Dial-Up Monitor look and behave exactly the way you want it.


Command Line Arguments

Command Line Arguments

If you want quicker access to some of the basic Dial-Up Monitor functions, you can start it with its predefined command line parameters and it will take care by itself of the desired actions.

The following arguments can be applied to the program:

  • /show - if the program is already started and is minimized, the main window will be restored. If it's not running, it will have no effect
  • /hide - when the program is not already running, it will start minimized. Otherwise, if it's already started, it will be minimized
  • /lock - the program will be started in locked mode (all the menus disabled)
  • /dial - the last connection selected in the connections panel will be dialed
  • /dial:<Connection Name> - the specified connection will be dialed. If the name contains spaces, use quotes to separate its name
    Example: dmonitor.exe /dial:"My Connection"
  • /disconnect - the active connection (or dial operation, if in process) will be disconnected
Overview
What is Dial-Up Monitor?
Main Features
Quick Start
Getting started with Dial-Up Monitor in a minute.
Using Connections
Customize program features for improved functionality.
Statistics
Get an accurate view over your past Internet connections.
Interface Options
Make Dial-Up Monitor look and behave exactly the way you want it.


General Information on Connections

General Information on Connections

Dial-Up Monitor supports many options related to connection handling that can help you acheive the best results in the shortest time.

Options available while dialing:

  • automated redialing which allows you to redial a connection if something goes wrong without touching any button
  • if you don't want to accept connections lower that a desired speed, you cam make sure that Dial-Up Monitor won't allow that and will keep redialing until the right speed is reached with the minimal connection speed option
  • the alternate phone numbers feature allows you to set more than one phone number for your providers, this way making it easy to get connected
  • you can set a time limit for dial operations to make sure you don't get stuck within a bad negociation process

Options available while connected:

  • the auto reconnect feature, that takes care of reconnecting in case the line is disconnected without the user's approval (phone line problems, remote disconnections, etc.)
  • Dial-Up Monitor can detect if a connection has become idle and will take the action that is best suited for you (disconnect, reconnect, show a warning, etc.)
  • you can use keep alive signal on a regular basis to make sure you will not get disconnected by your ISP in case you don't have network activity
  • if you regulary use some application while on the Internet, you can make the program automatically start them at any moment you wish with the application control feature
  • you can check your e-mail accounts for new messages and even get special notifications when important messages arrive
  • your computers clock will be very accurate by synchronizing it with an atomic time server on the Internet
Overview
What is Dial-Up Monitor?
Main Features
Quick Start
Getting started with Dial-Up Monitor in a minute.
Using Connections
Customize program features for improved functionality.
Statistics
Get an accurate view over your past Internet connections.
Interface Options
Make Dial-Up Monitor look and behave exactly the way you want it.


Redial Options

Redial Options

It is a very important thing to know that, one you pressed the Connect button, you will get connected, regardless of some minor errors that may occur.

To accomplish this, Dial-Up Monitor can be set to automatically redial in case something unexpected happens. The configuration dialog for this feature can be found under Options -> Redial options.

If enabled, the program will redial on any errors that may occur in the connection process. However, because it's considered a persistent error, you can cancel a dial action if the server has rejected your username and password.

Also, you can set duration and count limits for redialing, to prevent such actions being taken while the provider has some problems that might take a while to fix.

Notes

  • the redial delay you set in this dialog will also be considered when you manually press the Redial button on the main window
Overview
What is Dial-Up Monitor?
Main Features
Quick Start
Getting started with Dial-Up Monitor in a minute.
Using Connections
Customize program features for improved functionality.
Statistics
Get an accurate view over your past Internet connections.
Interface Options
Make Dial-Up Monitor look and behave exactly the way you want it.


Reconnect Options

Reconnect Options

Dial-Up Monitor can make sure you will get reconnected to your ISP in case the line is dropped, due to remote disconnections or phone line problems.

You can enable this feature from the Options -> Reconnect options menu.

Please note that the program will reconnect if the disconnect source is anywhere outside Dial-Up Monitor. For example, if you disconnect from the Windows interface, it will be considered a remote disconnect and treated as an error.

If you have to wait before getting back online (maybe phone line problems or ISP timeouts), you can enter the amount of second you wish to pause the process. If you enter 0 seconds, Dial-Up Monitor will immediately start dialing, otherwise a reconnect window will start counting the time left, also providing you with a Cancel button.
Overview
What is Dial-Up Monitor?
Main Features
Quick Start
Getting started with Dial-Up Monitor in a minute.
Using Connections
Customize program features for improved functionality.
Statistics
Get an accurate view over your past Internet connections.
Interface Options
Make Dial-Up Monitor look and behave exactly the way you want it.


Minimal Connection Speed

Minimal Connection Speed

Getting connected at a low speed due to problems during the negociation phase can cause low transfer rates and, in general, bad traffic performance.

To avoid this, and also to avoid staying concentrated on the speed indicator each time you connect, you can set Dial-Up Monitor to take care of this problem.

In the minimal speed configuration dialog (Options -> Minimal connection speed), you can set individual speeds for each one of your providers. Also, an important thing is that you can let the program establish the connection even if the desired speed wasn't reached if it has tried for too many times and it is therefore clear that the speed will not be reached. This way, you can avoid endless redial operations and continue with your work on the Internet.
Overview
What is Dial-Up Monitor?
Main Features
Quick Start
Getting started with Dial-Up Monitor in a minute.
Using Connections
Customize program features for improved functionality.
Statistics
Get an accurate view over your past Internet connections.
Interface Options
Make Dial-Up Monitor look and behave exactly the way you want it.


Alternate Phone Numbers

Alternate Phone Numbers

If you have an Internet Service Provider that offers you more than one phone number that you can connect to, Dial-Up Monitor lets you group these numbers under the same account (you would have to create separate connections otherwise).

This can be very useful, for example when the main phone number you are using is busy. When this happens, Dial-Up Monitor will automatically pick the next available number from the list and use it to dial.

To open the Alternate Phone Numbers configuration dialog, go to Connection -> Alternate phone numbers.

From there you can enter all the desired numbers and then set their order using the Up and Down buttons.

By default, the number in the list will be the one imported from the Dial-Up Networking settings. If you don't want to use this number and enter your own, just clear the Include default phone number box.

You can also specify that a certain number can only be used between two set hours. For example, if your ISP has a phone line which is only available between 00:00:00 and 07:00:00, make the appropriate time changes in the Add or Edit window of that particular phone number.

The Try the next number option is usually best to be left checked so that the program can choose a new number in case one of them fails. If you uncheck it, the only way you will get access to the other phone numbers is by right clicking on Connect button on the main window and manually selecting the number you wish to dial.

Dial-Up Monitor can also move the number that proves good to the top of the list. This way, the next time you dial, it will be used as the first one, increasing your chances of getting connected fast.

Notes

  • you can access any phone number for a connection by right clicking the Connect button on the main window
Overview
What is Dial-Up Monitor?
Main Features
Quick Start
Getting started with Dial-Up Monitor in a minute.
Using Connections
Customize program features for improved functionality.
Statistics
Get an accurate view over your past Internet connections.
Interface Options
Make Dial-Up Monitor look and behave exactly the way you want it.


Dial Time Limit

Dial Time Limit

When a dial process is started and the remote modem is not answering, or there is a problem with the connection, you can use this option to cancel the call.

Usually, the remote party should send a busy signal or an error code, but this doesn't happen all the time and you could get stuck with a useless dial operation.

To use this option, simply open the configuration dialog (at Options -> Dial time limit), check the Disconnect if not connected in... box and enter the maximum amount of seconds you wish to allow the connection to be established.
Overview
What is Dial-Up Monitor?
Main Features
Quick Start
Getting started with Dial-Up Monitor in a minute.
Using Connections
Customize program features for improved functionality.
Statistics
Get an accurate view over your past Internet connections.
Interface Options
Make Dial-Up Monitor look and behave exactly the way you want it.


Idle Connections

Idle Connections

Idle connections are connections on which there is no network traffic. This can be caused by the user not doing anything on the Internet or by some problems with the phone line or provider that make the connection unusable.

Dial-Up Monitor can detect such connections and take appropriate measures to make sure everything is working as planned, even if you are not at your computer to check that yourself.

The first thing you need to do is enable this feature. Open the settings dialog at Options -> Idle connections and check the Enable detection of idle connections box. After that, enter the limits in which the program should this the active connection is idle. These consist in a traffic limit relative to a number of minutes, that if not reached, causes the connection to be treated as idle. Setting this limit depends on your regular Internet activity. If you don't have downloads or other things that cause traffic to be registered, you should set the limit to a lower value to prevent accidental disconnects.

The last thing you need to set up is the action you wish to be taken in case an idle connection is detected. Note that on the disconnect actions, you will be prompted with a disconnect dialog before actually closing the line, which you can cancel in 15 seconds.
Overview
What is Dial-Up Monitor?
Main Features
Quick Start
Getting started with Dial-Up Monitor in a minute.
Using Connections
Customize program features for improved functionality.
Statistics
Get an accurate view over your past Internet connections.
Interface Options
Make Dial-Up Monitor look and behave exactly the way you want it.


Keep Alive

Keep Alive

The Keep Alive feature of Dial-Up Monitor allows you to simulate activity on your Internet connection to prevent idle disconnections.

Some Internet providers use sophisticated techniques to detect wether you are truly using the Internet or just some anti-idle software. Dial-Up Monitor is trying to help you simulate activity by connecting to a specified web server at regular intervals.

To set up this feature, simply enter some web sites in the Internet Addresses list by using the Add button.

Then you have two options. You can either instruct the program to simulate activity at set times, or make it do so at random time intervals. The second choice is usually more useful, because the provider will not be able to find any pattern in your activity, therefore will not know whether you are truly using the Internet connection or not.
Overview
What is Dial-Up Monitor?
Main Features
Quick Start
Getting started with Dial-Up Monitor in a minute.
Using Connections
Customize program features for improved functionality.
Statistics
Get an accurate view over your past Internet connections.
Interface Options
Make Dial-Up Monitor look and behave exactly the way you want it.


Application Launcher

Application Launcher

With the increasing number of Internet services, the amount of applications using it is getting bigger and bigger. Almost every user starts at least two programs each time it gets connected (for example the e-mail client and the web browser).

Usually, there is no problem if you run a few applications, but when you have to start around six programs over and over again, the task can become annoying.

Dial-Up Monitor comes to help you and can efficiently run your applications any time you may want. This is accomplished with the Application Launcher feature (the Options -> Application launcher menu).

To make an application start each time you connect, just add a new entry (with the Add button and follow the wizard that will guide you in creating a new entry.

Notes

  • be careful with the Wait for application to finish... option, since the program will freeze ALL actions until the specific program is closed
  • if you are starting an application with some parameters, you must enclose the program path inside quotes, otherwise the program will not get closed (if you wish to enable this option)

    Example: "C:\My Program\MyProgram.exe" -load instead of C:\My Program\MyProgram.exe -load
Overview
What is Dial-Up Monitor?
Main Features
Quick Start
Getting started with Dial-Up Monitor in a minute.
Using Connections
Customize program features for improved functionality.
Statistics
Get an accurate view over your past Internet connections.
Interface Options
Make Dial-Up Monitor look and behave exactly the way you want it.


E-mail Messages

E-mail Messages

Dial-Up Monitor gives you the opportunity to check your POP mail directly from inside the program. This way, you can avoid using custom mail checkers and having your computer's memory filled with unnecessary programs.

It has support for an unlimited number of accounts so all your mailboxes will be checked for new messages.

To create a new e-mail account, go to the E-mail -> New account menu and enter the settings for your account exactly as you have received them from your e-mail administrator. Then, specifiy when should the program look for new messages. It can do this at the first of every new session and also on a regular basis.

If you wish to edit or delete an account at a later time, you will find all the necessary options under the E-mail menu.

Once you have set up an account, you can define the way you want to be notified of your new messages. The configuration dialog can be found at E-mail -> Message notifications. By default, when Dial-Up Monitor detects new messages, it will display a line in the message log (on the main window). You can make the program also display a small notification window by checking the Show a message box when... box. You can also automatically run your e-mail client to get your messages.

Apart from normal message notifications, you can define specific rules for your e-mail messages, so you will get a special note when messages matching your criterias are found.

To add a new message rule, use the Create New button. Then select the header you wish to look into and enter the text if wish (or don't wish, select the appropriate option) to search for. For example, you could make Dial-Up Monitor look if the From header of the message contains the name "Radu Stanciu". If it does, you will get a special window telling you that. This way, you can easily know when you have something really important waiting.

Notes

  • even if you do not wish to automatically run your e-mail client when new messages arrive, it is good to enter its path in the associated text box. This way, in the e-mail notification dialog, you will get a Run E-mail Client button which you can use to start this program. If you don't wish to do that, you can simply ignore it, but usually it's a good thing to have it there
Overview
What is Dial-Up Monitor?
Main Features
Quick Start
Getting started with Dial-Up Monitor in a minute.
Using Connections
Customize program features for improved functionality.
Statistics
Get an accurate view over your past Internet connections.
Interface Options
Make Dial-Up Monitor look and behave exactly the way you want it.


Time Synchronization

Time Synchronization

The program allows you to syncronize the local system time with the "official" time from one of the Internet servers offering such a service (they are known as Atomic Time Servers).

Dial-Up Monitor uses the standard DayTime protocol, available by connecting on the port 13 of a remote server (offering the DayTime service).

You can find this feature under the Network -> Internet time synchronization menu.

To adjust your time, simply select a server from the Primary list (the secondary server are used if the primary one fails, but only if you select the Use next server in case of failure to retrieve time option) and press the Adjust Time button.

If you want to make this a regular task to make sure your computer time is always precise, select the desired servers and check the Synchronize time on connect box.
Overview
What is Dial-Up Monitor?
Main Features
Quick Start
Getting started with Dial-Up Monitor in a minute.
Using Connections
Customize program features for improved functionality.
Statistics
Get an accurate view over your past Internet connections.
Interface Options
Make Dial-Up Monitor look and behave exactly the way you want it.


> Schedule

Schedule

The schedule allows you to program your connections and disconnections from time. This could be useful for example, if you want to check your e-mail at some hours. You can program the computer to automatically get online and disconnect after, let's say 2 minutes, giving the e-mail application enough time to get all the messages.

Of course, in order for this feature to function, the program must be running at the time when a schedule entry should activate.

The configuration dialog can be found at Options -> Schedule.

To work with schedule entries, use the three buttons on the right side of the list. For example, to add a new entry click the Add button, type it your setting below and then click the Save button.

Notes

  • if you are disconnecting with the Schedule feature and you are using the Do not allow user intervention option, you will not be able to cancel the action in any way. The program just disconnects you at the set time, without any warning
Overview
What is Dial-Up Monitor?
Main Features
Quick Start
Getting started with Dial-Up Monitor in a minute.
Using Connections
Customize program features for improved functionality.
Statistics
Get an accurate view over your past Internet connections.
Interface Options
Make Dial-Up Monitor look and behave exactly the way you want it.


Timed Connection and Disconnection

Timed Connection and Disconnection

Timed actions are used to set a connect or disconnect action in a specified amount of time.

For example, if you want to leave your computer and make sure it will disconnect after 20 minutes, the best way to do this is by using this feature.

You can find it in the Connection -> Timed connection and disconnection menu. Depending on your computer's state (online or offline), you will only be able to set the connect, respectively disconnect action.

Simply enter the desired time in the available fields and press the OK button. You will see a countdown on the main window. From there you can cancel the action if you want.
Overview
What is Dial-Up Monitor?
Main Features
Quick Start
Getting started with Dial-Up Monitor in a minute.
Using Connections
Customize program features for improved functionality.
Statistics
Get an accurate view over your past Internet connections.
Interface Options
Make Dial-Up Monitor look and behave exactly the way you want it.


Connection Statistics

Connection Statistics

Dial-Up Monitor stores all the information that can be useful to you and allows you to see it organized with the connection statistics feature.

You can find your total online time for each month, the number of received and sent bytes, the number of dropped connections, the average connection time, etc.

It can be accessed from the Log -> Connection statistics menu.

To see the information you want, just select the desired connection, the month and the year you wish to use and everything you need to know will be available below.

You can also export the data from this into to a HTML document by using the Generate HTML Report button. This can be useful for storage reasons or for better formatting (for example if you want to print this information).

If you want detailed information about each one of your past connections, take a look at the connection log feature.
Overview
What is Dial-Up Monitor?
Main Features
Quick Start
Getting started with Dial-Up Monitor in a minute.
Using Connections
Customize program features for improved functionality.
Statistics
Get an accurate view over your past Internet connections.
Interface Options
Make Dial-Up Monitor look and behave exactly the way you want it.


Time Statistics

Time Statistics

Each time you connect to the Internet, Dial-Up Monitor keeps track of the time you stay online.

The counters are organized in Session Time (the current time of your Internet connection), Day Time, Week Time, Month Time and Total Time. This way, you can have a good view at the time you have spent on the Internet.

These counters are present on the main window, more exactly in the Time Statistics Panel.

If you wish to reset these counters or have a look at theie values for every provider, go to the Log -> Time statistics menu.

Notes

  • the Week and Month counters are reset according to the settings you enter in the calendar options dialog
Overview
What is Dial-Up Monitor?
Main Features
Quick Start
Getting started with Dial-Up Monitor in a minute.
Using Connections
Customize program features for improved functionality.
Statistics
Get an accurate view over your past Internet connections.
Interface Options
Make Dial-Up Monitor look and behave exactly the way you want it.


Calendar Settings

Calendar Settings

If you have a dial-up account with a fixed number of hours, you might be the customer of an Internet service provider that does not start counting your online time from the 1st of each month.

For example, an ISP could start counting the time for May from the 15th of May, not the 1st.

Dial-Up Monitor offers you a way to fit those timing periods. So, it could display in the Month Time indicator and the Connection Statistics the month you want, not the one used by your computer.

The configuration dialog is located under Options -> Calendar settings.

To set the beginning of a new month, just use the day and month fields to fit your needs. Notice there is a help label below these fields that explains exactly what your settings are, giving March as the example month.

You can also set the first day of the week after your calendar. By default it is considered to be Monday, but you can set it to any weekday you want. This setting is taken into consideration when the program resets the main Week Time counter.

Notes

  • the first day of a month will be used for all your installed accounts. You cannot set different days for specific accounts
Overview
What is Dial-Up Monitor?
Main Features
Quick Start
Getting started with Dial-Up Monitor in a minute.
Using Connections
Customize program features for improved functionality.
Statistics
Get an accurate view over your past Internet connections.
Interface Options
Make Dial-Up Monitor look and behave exactly the way you want it.


Connection Log

Connection Log

The connection log contains information about your past Internet session. With it you can see the phone number you have used, the start and stop times, the bytes transferred, etc.

In the configuration dialog (at Log -> Connection log -> Connection log options) you can set a limit for the number of entries in main log to prevent huge files from being created.

In addition, you can group your connections by month and by year. If you check the appropriate boxes in the configuration dialog, you can have a list of connections from which you can see the Internet activity over a specific month or year.

To see connection logs in an easy to read presentation, use the Connection Log Viewer located under Log -> Connection log -> Viewer (you can simply press F3). This utility allows you to set filters to extract exactly what you need from the available entries.
Overview
What is Dial-Up Monitor?
Main Features
Quick Start
Getting started with Dial-Up Monitor in a minute.
Using Connections
Customize program features for improved functionality.
Statistics
Get an accurate view over your past Internet connections.
Interface Options
Make Dial-Up Monitor look and behave exactly the way you want it.


Audio Settings

Audio Settings

Audio notifications can be useful if you don't always have visual contact with the program's interface but you still want to know what is happening.

Dial-Up Monitor allows you to assign sounds to different events that may occur in the program. The following events are supported:

  • connect - when a connection is established
  • disconnect - when the active connection is terminated
  • authenticate - when the ISP is starting to verify your user name and password
  • dial errors - when an error occurs during the dial process (for example if the password is incorrect or the remote server is not responding)
  • keep alive - when Dial-Up Monitor sends keep alive signals
  • new mail - when new messages were detected in your remote mailbox

The program also allows you to disable all these sounds during specified hours. This is generally useful at night, when it is likely that you don't want to make much noise.
Overview
What is Dial-Up Monitor?
Main Features
Quick Start
Getting started with Dial-Up Monitor in a minute.
Using Connections
Customize program features for improved functionality.
Statistics
Get an accurate view over your past Internet connections.
Interface Options
Make Dial-Up Monitor look and behave exactly the way you want it.


Main Window Settings

Main Window Settings

The main Dial-Up Monitor window can be customized so that it provides maximum efficiency while taking up as little space as possible.

The most important parts of the window are its panels that can be set to visible or invisible from the View menu.

You can automatically hide the window after connecting and bring it to top again when disconnected. You can also make the Close button minimize the window, to prevent accidental closures.

The main buttons can be customized to suit your needs, for example to display captions in your own language, for better accomodation.

Finally, you can force the program to start minimized if you don't need direct access to its interface, so it won't use important space on your desktop.
Overview
What is Dial-Up Monitor?
Main Features
Quick Start
Getting started with Dial-Up Monitor in a minute.
Using Connections
Customize program features for improved functionality.
Statistics
Get an accurate view over your past Internet connections.
Interface Options
Make Dial-Up Monitor look and behave exactly the way you want it.


Tray Icon Settings

Tray Icon Settings

The tray icon of the program can be very useful if you wish to work with your connections as efficient as possible.

The menu available by right clicking on the tray icon contains all the functions present on the main window (connect, redial, etc.). Therefore, you can have access to the program features without having to keep the main interface on screen.

In the configuration dialog for the tray icon (View -> Tray icon settings) you can define actions for the double click event. These actions are relative to the program's state. For example, you could instruct Dial-Up Monitor to dial the selected connection if you double click the icon while idle, and disconnect while connected.

You can also set the icon to provide you with information regarding the modem transfer (similar to the Dial-Up Networking one). By setting this option, you can see when the line is active and also, you will know what's the state of the connection just by taking a short look at the icon.
Overview
What is Dial-Up Monitor?
Main Features
Quick Start
Getting started with Dial-Up Monitor in a minute.
Using Connections
Customize program features for improved functionality.
Statistics
Get an accurate view over your past Internet connections.
Interface Options
Make Dial-Up Monitor look and behave exactly the way you want it.


Time Periods Restrictions

Time Periods Restrictions

You can have Dial-Up Monitor automatically disallow access to some accounts during specific time periods. For example, if your computer is also used by someone else, you may want to limit Internet costs by restricting the access to your ISP during 12:00 PM and 16:00 PM (let's say this is the most expensive period).

The restrictions window can be accessed from the Options -> Time periods restrictions menu. The dialog displays the current restriction settings, and allows you to add, edit or delete restriction periods.

When the program detects the user trying to use a restricted account, it will display a warning message box and cancel the dial action. If the computer is connected when entering a restricted period, it will automatically disconnect (no warnings).

You can also force the user to use a provider within a period of time. To do that, select the Only allow the selected connection to be used box while editing an entry. Any other providers will be treated as restricted and access to them will be denied. This can be useful to prevent accounts with variable names from being used.

For each restriction entry, you can set a password to override it. By entering this password in the Access Restricted dialog, you are granted access to one session. After that, the restriction will become active again.

Notes

  • if at a certain time of the day, a connection is restricted as well as allowed, it will be treated as allowed
  • if you want to deny access to accounts when a certain cumulative duration is reached, use the account limitations feature
Overview
What is Dial-Up Monitor?
Main Features
Quick Start
Getting started with Dial-Up Monitor in a minute.
Using Connections
Customize program features for improved functionality.
Statistics
Get an accurate view over your past Internet connections.
Interface Options
Make Dial-Up Monitor look and behave exactly the way you want it.


Account Limitations

Account Limitations

When you have time or traffic restrictive accounts you can prevent excessive usage to avoid extra costs.

You can set time limits for all counters of the time statistics feature. When these limits are reached, access to the providers in cause is restricted without any way of overriding.

Traffic limits can also be set to make sure you don't have to pay for the extra bytes you transfer. There can be limits for both received and sent bytes.

For both time and traffic limitations you can set values for all the providers (all the values are cumulated) or for each of them separately.
Overview
What is Dial-Up Monitor?
Main Features
Quick Start
Getting started with Dial-Up Monitor in a minute.
Using Connections
Customize program features for improved functionality.
Statistics
Get an accurate view over your past Internet connections.
Interface Options
Make Dial-Up Monitor look and behave exactly the way you want it.


Security Options

Security Options

Security is an important part of a program that wants to monitor the Internet activity on a phone line.

Once you have set everything up so that the program runs as desired, Dial-Up Monitor allows you to block access to its configuration dialogs. This prevents unauthorized users from modifying some important settings (for example some dial restrictions). By setting a password for these actions, you will be the only one who will be able to enter these configuration dialogs.

Locking the interface

If you only want authorized users to access the Dial-Up Monitor menus (and, from there, its features and settings), you can lock the interface from the Options | Other Settings | Lock Interface menu (or you can even start the program in locked mode). This way, you can only unlock it (you will see a menu item on the program's menu bar) by entering the administrator password.

This is a more accessible method of blocking access to the program's settings.
Overview
What is Dial-Up Monitor?
Main Features
Quick Start
Getting started with Dial-Up Monitor in a minute.
Using Connections
Customize program features for improved functionality.
Statistics
Get an accurate view over your past Internet connections.
Interface Options
Make Dial-Up Monitor look and behave exactly the way you want it.